Subject: [rtcweb] Cross posting: Re: SDP is not suitable for WebRTC

From: Ted Hardie <[email-masked]>
Date: Tue, 30 Jul 2013 10:18:02 +0200

Howdy,

We have asked that folks avoid cross-posting, in order to keep it easier
for folks to follow a thread.  Please keep this discussion on public-webrtc.

thanks,

Ted Hardie

On Tue, Jul 30, 2013 at 9:45 AM, Iñaki Baz Castillo <[email-masked]> wrote:

> 2013/7/30 Silvia Pfeiffer <[email-masked]>:
> > Since you seem to be doing a full mesh and you seem to be wanting to
> > receive from everyone and be able to talk back to everyone, wouldn't
> > this need to be 8 different SDP offers in a full mesh network rather
> > than one SDP offer with 13 different m-lines? I don't follow how each
> > of the recipients would pick the right m-line for themselves...
>
>
> Silvia, I don't feel I am doing a full mesh, but something really
> common, which is:
>
> - I contact, from my browser, to a conference server in which there is
> an active conference with N participants.
>
> - I provide my audio and video tracks to the conference server.
>
> - The server provides me with N audio/video tracks belonging to N
> participants.
>
> - I don't want to do a second SDP O/A round trip.
>
> Please, note that my browser has a signaling and a media session with
> the conference server. This is, the endpoints are my browser and the
> conference server. The fact that the conference server acts as a mixer
> by joining all the participants changes nothing. The browser
> establishes a single RTC session with the server. This is not an
> exotic scenario at all.
>
> And no, I do not want to send 8 different SDP offers since I will
> mantain just a single RTC session (with the conference server). All
> the participants do the same, and the conference server is responsible
> of taking all the tracks from participants and send them to all the
> participants (via separate tracks).
>
>
> I would like to hear the opinion of those in favour of SDP for WebRTC,
> since what I am clearly stating is that SDP and Plan-Unified is *bad*
> for this common scenario.
>
>
> --
> Iñaki Baz Castillo
> <[email-masked]>
> _______________________________________________
> rtcweb mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/rtcweb
>